Bug 885232 - Unable to unset parent test plan
Summary: Unable to unset parent test plan
Keywords:
Status: ASSIGNED
Alias: None
Product: TCMS
Classification: Other
Component: XMLRPC
Version: 3.8.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.x
Assignee: Yang Ren
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-07 20:45 UTC by Petr Šplíchal
Modified: 2016-06-01 01:49 UTC (History)
2 users (show)

Fixed In Version: 3.8.10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Petr Šplíchal 2012-12-07 20:45:06 UTC
Description of problem:

It seems that currently it's not possible to unset test plan's
parent plan. Calling update() with 'None' has no effect.

Version-Release number of selected component (if applicable):
3.8.2

Steps to Reproduce:
TestPlan.update(1234, {'parent': None })
  
Actual results:
Parent plan still linked.

Expected results:
Parent plan field set to None.

Comment 1 jianchen 2012-12-10 00:56:53 UTC
Thanks for finding this issue, unset test plan's parent plan is not work now. That will be fixed in latest release.


Note You need to log in before you can comment on or make changes to this bug.